×

Discussion Board

Page 1 of 2 12 LastLast
Results 1 to 15 of 16
  1. #1
    Regular Contributor
    Join Date
    Jan 2009
    Posts
    61

    Thumbs down Badly broken Carbide 2.0.2 update

    I run the Carbide 2.0 update twice and it looks like it has broken my installation. Now when I click on "Software updates" menu it comes up with "Can not launch the Update UI. This installation has not been configured properly for software updates" but the biggest problem is the linker. I now can not buils WINSCW configuration. The I run build it crashes (a window pops up saying Win32 x86 Linker has encoutered a problem...) and Error -1073741819 is logged in the console. As result I have to roll back to the old version.

    Has anyone else experianced this problem?

  2. #2
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: Badly broken Carbide 2.0.2 update

    Nope, the update as well as the installation of new features worked well for me. Have you installed only the updates from the Carbide.c++ Update? It is documented that installing updates from other sources (including Eclipse) may in fact break the tool.

    Try starting Carbide.c++ with -clean as the command parameter, see if that helps you start the update tool again and then maybe fix the problem. If it does not work then your only option is to re-install Carbide.c++
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  3. #3
    Regular Contributor
    Join Date
    Jan 2009
    Posts
    61

    Re: Badly broken Carbide 2.0.2 update

    No - did not fix it. It's broken. I did not change any of the update confiration - just accepted everything by default. Ok - fine Carbide is broken but why linker is broken as well (is did install x86 tools update). It has nothing to do with Eclipse project.

  4. #4
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: Badly broken Carbide 2.0.2 update

    It might have something to do with the Eclipse project: If Eclipse updates are detected they are by default pre-selected and therefore you should do a bit of extra effort not to install them.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  5. #5
    Regular Contributor
    Join Date
    Jan 2009
    Posts
    61

    Re: Badly broken Carbide 2.0.2 update

    Sorry Lucian - I am not with you. In install/Update menu I only clicked on "Search for updates of the currently installed features". I did not play with any other settings so I can not see any reason why it would break configuration because of user (my) actions. Anyway I not bothered about Carbide update since I can still edit and save files. What I do not understand is why the linker crashes. Looks like there is a bug in it. Anyway thank you very much for your replies - I have just reinstalled Carbide. I was hoping that the new update would speed up the build process but no - it just made things worse.

  6. #6
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: Badly broken Carbide 2.0.2 update

    As said, it worked for me and likely for others too.
    You should do the update again only pay more atention, as said above Eclipse updates are pre-selected for you (as updates to installed Eclipse features) but you should make sure to deselect anything that doesn't come from Carbide.c++.

    That of course does not exclude a diferent type of problem and should you run into problems when repeating the update you should certainly notify Carbide.c++'s developers.

    Good luck!
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  7. #7
    Regular Contributor
    Join Date
    Jan 2009
    Posts
    61

    Re: Badly broken Carbide 2.0.2 update

    I thought this is the forum where developers get notified. Anyway I am running update again but will not be installing linker update. Had enought of installing/uninstalling. To be hones I do not really like Carbide but since there is nothing better I have to use it. Anyway - thanks.

  8. #8
    Super Contributor
    Join Date
    Mar 2004
    Location
    Singapore
    Posts
    9,968

    Re: Badly broken Carbide 2.0.2 update

    Quote Originally Posted by palringosymbian View Post
    I thought this is the forum where developers get notified. Anyway I am running update again but will not be installing linker update. Had enought of installing/uninstalling. To be hones I do not really like Carbide but since there is nothing better I have to use it. Anyway - thanks.
    then you can use the commandline builds, if you donot like IDEs.

  9. #9
    Regular Contributor
    Join Date
    Jan 2009
    Posts
    61

    Re: Badly broken Carbide 2.0.2 update

    I do - I have makefiles which I use for building gcce version.

  10. #10
    Regular Contributor
    Join Date
    Jan 2009
    Posts
    61

    Re: Badly broken Carbide 2.0.2 update

    Ok - run the update and unticked updates from eclipse project. After the install the "Software Update" manu still works - no errors there. Had to update the x86 build tools - the same problem - the linker crashes. The linker (mwldsym2) version is 10.02.2009 19:37:34 Version 3.2.5 build 479. Now have to do uninstall/install again.

  11. #11
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: Badly broken Carbide 2.0.2 update

    Sorry to hear that. Make sure to report the bug using the "Report new bug ..." option from the Help menu.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  12. #12
    Registered User
    Join Date
    Jun 2008
    Posts
    31

    Re: Badly broken Carbide 2.0.2 update

    Just a note about the Software Update menu not working. I had the same problem and discovered that it's caused by installing the Equinox p2 plugin, which by the way isn't selected when you do a Software Update. More info about it here: http://wiki.eclipse.org/Equinox_p2_U...UI_Users_Guide

  13. #13
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: Badly broken Carbide 2.0.2 update

    Are you sure that this issue is affecting Carbide.c++? It is clearely specified in Carbide.c++'s help that updates should be taken only from the Carbide.c++ Update repository and not from Eclipse.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  14. #14
    Registered User
    Join Date
    Jun 2008
    Posts
    31

    Re: Badly broken Carbide 2.0.2 update

    The p2 plugin doesn't come from the Carbide.c++ Update site. I've done a clean install and unless the update sites are stored somewhere else than inside the IDE directory, which I doubt as I had added a remote site prior to reinstalling, then several update sites are included in the IDE. If I recall correctly it comes from Ganymede Discovery Site.

  15. #15
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: Badly broken Carbide 2.0.2 update

    Exactly. But when updating Carbide.c++ you should not select any other repository source other than Carbide's. Carbide uses modified versions of some Eclipse components so if you download those from Eclipse directly they will overwrite Carbide's version of those components and that will cause problems to the IDE.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

Similar Threads

  1. Carbide v2.0.2 Update Available now
    By Mike Trujillo in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 8
    Last Post: 2009-09-02, 17:07
  2. E61 keyboard support badly broken in 2.xx firmware ?
    By John.Holloway in forum Symbian
    Replies: 3
    Last Post: 2008-11-05, 15:12
  3. Carbide update corruption
    By dracula78 in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 5
    Last Post: 2008-03-17, 14:08
  4. How to update carbide by downloading the updates ourselves
    By strike_noir in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 5
    Last Post: 2007-08-16, 04:32
  5. Carbide c++ Express update site?
    By eagerb in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 0
    Last Post: 2006-12-07, 15:49

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×